Subject: [Simple] MSRP Opaque URI

From: Hadriel Kaplan <[email-masked]>
Date: Wed, 30 Jul 2008 22:06:42 -0400

Howdy,
During the presentation of the opaque-uri draft, one of the comments made was that "you need an SBC to do this draft anonymization thing".  The answer I said was "no", but I don't think I explained it very well, so I'll try again here:
The opaque draft anonymizes the MSRP URI.  It does not anonymize the IP layer itself used for the MSRP connection.  To do that you need something in the middle that changes the IP.  That can be an SBC, TURN server, or MSRP B2BUA.  (The draft does not support it being a "MSRP Relay" as defined)  A comment was then made that if you're using a TURN server you don't need to anonymize the MSRP URI because it will be the IP of the TURN anyway.  That is true, afaict.  But that doesn't mean you need an SBC for this draft.  It just means that if you're using a TURN server it's superfluous to anonymize the MSRP URI.

In other words, there's a Venn diagram with 4 circles of "relays" available: TURN, SBC, MSRP-b2bua, MSRP-Relay.  This draft provides anonymization covering 3 of those - all except MSRP-Relay.  It is true that you don't need this draft to just cover the one TURN circle, but that doesn't mean you need to be in the SBC circle to use this draft.  Clear as mud? :)

My point about the draft was *my* motivation for it (and perhaps Derek's) is to make MSRP work through SBCs, but the motivation for a UA would be to get anonymization.  If you think we should re-write it to make it clear that the advantage is it will work through SBC's, that's fine with me.

-hadriel
_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple